package com.yzt.airconditionersystem.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yzt.airconditionersystem.bean.Operator;

import java.util.Map;

/**
 * 运营商业务类
 * @author TzZach
 * @since 2022-04-13 12:07
 */
public interface OperatorService extends IService<Operator> {

    public Operator getOneByOperator(Operator operator);

    /**
     * 删除该运营商及其相关的项目、网关
     * @return
     */
    public Map<String, Object> deleteOperatorById(Integer id);

}
