package com.yzt.airconditionersystem.service;

import com.yzt.airconditionersystem.bean.User;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author TzZach
* @description 针对表【user】的数据库操作Service
* @createDate 2022-05-07 15:44:23
*/
public interface UserService extends IService<User> {

    /**
     * 通过用户名和密码查找
     * @param user
     * @return
     */
    public User getOneByUsernameAndPassword(User user);

    /**
     * 通过用户名查找
     * @param username
     * @return
     */
    public User getOneByUsername(String username);

}
