package com.yzt.airconditionersystem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yzt.airconditionersystem.bean.Project;
import com.yzt.airconditionersystem.mapper.ProjectMapper;
import com.yzt.airconditionersystem.service.ProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author TzZach
 * @since 2022-04-15 16:41
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, Project> implements ProjectService {

    @Autowired
    private ProjectMapper projectMapper;


    public List<Project> selectByClientNameAndDistrictAndCompanyName(String clientName, String district, String operatorName) {
        return projectMapper.selectByClientNameAndDistrictAndCompanyName(clientName, district, operatorName);
    }

    public List<Integer> selectIdByOperatorId(Integer operatorId) {
        return projectMapper.selectIdByOperatorId(operatorId);
    }

}
