package com.yzt.airconditionersystem.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yzt.airconditionersystem.bean.Operator;
import com.yzt.airconditionersystem.bean.Project;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author TzZach
 * @since 2022-04-16 0:05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProjectSearchVo extends Project {
    /**
     * 自增id
     */
    private Integer id;

    /**
     * 客户名称
     */
    private String clientName;
    /**
     * 所属运营商id
     */
    private Integer operatorId;
    /**
     * 地区
     */
    private String district;
    /**
     * 具体地址
     */
    private String detailedAddress;

    private List<Integer> gatewayId;

    /**
     * 所属运营商信息
     */
    private Operator operator;

    private String operatorName;

    /**
     * 总数
     */
    private Long count;

}
