package com.kuyuntech.vrv.coreapi.bean.core;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import lombok.ToString;
import java.io.Serializable;

import java.lang.Long;
import java.lang.Short;
import java.util.Date;
import java.lang.String;

/**
* DeviceAlarmRecordBean
*
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class DeviceAlarmRecordBean  implements Serializable {


    private String deviceCode ;

    private String sn ;

    private String operatorNumber ;

    private String operatorCode ;

    private String projectNumber ;

    private String projectCode ;

    private String gatewayNumber ;

    private String gatewayCode ;

    private String alarmName ;

    private String alarmType ;

    private String variableId ;

    private String recordCondition ;

    private String alarmConfigCode ;

    private String startTime ;

    private String endTime ;

    private String status ;

    private String content ;

    private Long id ;

    private Long version ;

    private String code ;

    private Short valid ;

    private Date createTime ;

    private Date updateTime ;



}
