package com.kuyuntech.vrv.coreapi.bean.core;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import lombok.ToString;
import java.io.Serializable;

import java.lang.Long;
import java.lang.Short;
import java.util.Date;
import java.lang.String;

/**
* GatewayBean
*
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class GatewayBean  implements Serializable {


    private String number ;

    private String ip ;

    private String location ;

    private String useStatus ;

    private String operatorNumber ;

    private String operatorCode ;

    private String projectNumber ;

    private String projectCode ;

    private Long id ;

    private Long version ;

    private String code ;

    private Short valid ;

    private Date createTime ;

    private Date updateTime ;



}
