package com.kuyuntech.vrv.coreapi.bean.core;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import lombok.ToString;
import java.io.Serializable;

import java.lang.Long;
import java.lang.Short;
import java.util.Date;
import java.lang.String;

/**
* UserBean
*
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class UserBean  implements Serializable {


    private String realname ;

    private String account ;

    private String phone ;

    //@JsonIgnore
    private String password ;

    private String roleCode ;

    private String roleFlag ;

    private String operatorCode ;

    private String operatorNumber ;

    private Long id ;

    private Long version ;

    private String code ;

    private Short valid ;

    private Date createTime ;

    private Date updateTime ;

    //验证码
    private String verifyCode;



}
