package com.kuyuntech.vrv.coreservice.dao.core;

import com.kuyuntech.vrv.coreservice.domain.core.Gateway;
import com.kuyuntech.vrv.coreservice.domain.core.Project;
import com.wbspool.fastboot.core.jpa.repository.FastbootRepository;


/**
 * GatewayDao
 */
public interface GatewayDao extends FastbootRepository<Gateway, Long> {


    Gateway findByCodeAndValid(String code, Short valid);

    Gateway findByNumberAndValid(String gatewayNumber, short valid);
}
