package com.kuyuntech.vrv.coreservice.domain.core;

import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_operator")
public class Operator extends FastbootEntity {

    @Column(columnDefinition = "varchar(255) COMMENT '运营商名称'")
    private String name;

    @Column(columnDefinition = "varchar(255) COMMENT '省份'")
    private String province;

    @Column(columnDefinition = "varchar(255) COMMENT '城市'")
    private String city;

    @Column(columnDefinition = "text COMMENT '详细地址'")
    private String address;

    @Column(columnDefinition = "varchar(255) COMMENT '联系人'")
    private String contact;

    @Column(columnDefinition = "varchar(255) COMMENT '联系电话'")
    private String tel;

    @Column(columnDefinition = "varchar(255) COMMENT '运营商编号'")
    private String number;

    @Column(columnDefinition = "varchar(255) COMMENT '运营商状态'")
    private String status;
}
