package com.kuyuntech.vrv.coreservice.domain.core;

import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_operator_log")
public class OperatorLog extends FastbootEntity {
    @Column(columnDefinition = "varchar(255) COMMENT '关联用户'")
    private String userCode;

    @Column(columnDefinition = "varchar(255) COMMENT '用户姓名'")
    private String userRealname;

    @Column(columnDefinition = "varchar(255) COMMENT '用户账号'")
    private String userAccount;

    @Column(columnDefinition = "text COMMENT '操作内容'")
    private String content;

    @Column(columnDefinition = "varchar(255) COMMENT '运营商编号'")
    private String operatorNumber;

    @Column(columnDefinition = "varchar(255) COMMENT '关联运营商'")
    private String operatorCode;
}
