package com.kuyuntech.vrv.platform;

import com.kuyuntech.vrv.coreservice.annotation.core.EnableVrvCoreService;
import com.wbspool.fastboot.core.web.annotation.EnableFastbootParameterValidate;
import com.wbspool.fastboot.core.web.annotation.EnableFastbootUrlMapping;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.wbspool.fastboot.core.jpa.annotation.EnableFastbootJpaAutoConfiguration;
import org.springframework.boot.context.ApplicationPidFileWriter;





@SpringBootApplication
@EnableFastbootUrlMapping
@EnableFastbootParameterValidate
@EnableFastbootJpaAutoConfiguration
@EnableVrvCoreService

//@EnableAuthCompCoreService
//@EnableAuthCompCommonRestful
public class VrvPlatformApplication {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(VrvPlatformApplication.class);
        app.addListeners(new ApplicationPidFileWriter());
        app.run(args);
    }

}
