//路径
const root = "http://127.0.0.1:9999";

//接口auth
const api = {

	user: {
		list: `${root}/user/list`,
		add: `${root}/user/add`,
		update: `${root}/user/update`,
		detail: `${root}/user/detail`,
		delete: `${root}/user/delete`,
		batchDelete: `${root}/user/batchDelete`,
		bindRole: `${root}/user/bindRole`,
		bindOperator: `${root}/user/bindOperator`,
	},
	operator: {
		list: `${root}/operator/list`,
		add: `${root}/operator/add`,
		update: `${root}/operator/update`,
		detail: `${root}/operator/detail`,
		delete: `${root}/operator/delete`,
		batchDelete: `${root}/operator/batchDelete`
	},
	project: {
		list: `${root}/project/list`,
		operatorList: `${root}/project/operatorList`,
		add: `${root}/project/add`,
		update: `${root}/project/update`,
		detail: `${root}/project/detail`,
		delete: `${root}/project/delete`,
		batchDelete: `${root}/project/batchDelete`
	},
	gateway: {
		list: `${root}/gateway/list`,
		add: `${root}/gateway/add`,
		update: `${root}/gateway/update`,
		detail: `${root}/gateway/detail`,
		delete: `${root}/gateway/delete`,
		batchDelete: `${root}/gateway/batchDelete`
	},
	device: {
		list: `${root}/device/list`,
		add: `${root}/device/add`,
		update: `${root}/device/update`,
		detail: `${root}/device/detail`,
		delete: `${root}/device/delete`,
		batchDelete: `${root}/device/batchDelete`,
	},
	deviceParam: {
		list: `${root}/deviceParam/list`,
		add: `${root}/deviceParam/add`,
		update: `${root}/deviceParam/update`,
		updateParam: `${root}/deviceParam/updateParam`,
		detail: `${root}/deviceParam/detail`,
		delete: `${root}/deviceParam/delete`,
		batchDelete: `${root}/deviceParam/batchDelete`,
	},
	deviceAlarmRecord: {
		list: `${root}/deviceAlarmRecord/list`,
		add: `${root}/deviceAlarmRecord/add`,
		update: `${root}/deviceAlarmRecord/update`,
		detail: `${root}/deviceAlarmRecord/detail`,
		delete: `${root}/deviceAlarmRecord/delete`,
		batchDelete: `${root}/deviceAlarmRecord/batchDelete`,
	},
	deviceAlarmConfig: {
		list: `${root}/deviceAlarmConfig/list`,
		add: `${root}/deviceAlarmConfig/add`,
		update: `${root}/deviceAlarmConfig/update`,
		detail: `${root}/deviceAlarmConfig/detail`,
		delete: `${root}/deviceAlarmConfig/delete`,
		batchDelete: `${root}/deviceAlarmConfig/batchDelete`,
	},
	deviceAlarmRepairRecord: {
		list: `${root}/deviceAlarmRepairRecord/list`,
		add: `${root}/deviceAlarmRepairRecord/add`,
		update: `${root}/deviceAlarmRepairRecord/update`,
		detail: `${root}/deviceAlarmRepairRecord/detail`,
		delete: `${root}/deviceAlarmRepairRecord/delete`,
		batchDelete: `${root}/deviceAlarmRepairRecord/batchDelete`,
	},
	operatorLog: {
		list: `${root}/operatorLog/list`,
		add: `${root}/operatorLog/add`,
		update: `${root}/operatorLog/update`,
		detail: `${root}/operatorLog/detail`,
		delete: `${root}/operatorLog/delete`,
		batchDelete: `${root}/operatorLog/batchDelete`,
	},
	auth: {
		verifyCode: `${root}/auth/verifyCode`,
		login: `${root}/auth/login`,
		updateUserPassword: `${root}/auth/updateUserPassword`,
		userInfo: `${root}/auth/userInfo`,
		logout: `${root}/auth/logout`,
	},
	role: {
		list: `${root}/role/list`,
		add: `${root}/role/add`,
		update: `${root}/role/update`,
		detail: `${root}/role/detail`,
		delete: `${root}/role/delete`,
	},
	power: {
		list: `${root}/power/list`,
		add: `${root}/power/add`,
		update: `${root}/power/update`,
		detail: `${root}/power/detail`,
		delete: `${root}/power/delete`,
	},
	rolePower: {
		list: `${root}/rolePower/list`,
		add: `${root}/rolePower/add`,
		update: `${root}/rolePower/update`,
		detail: `${root}/rolePower/detail`,
		delete: `${root}/rolePower/delete`,
	},
	menu: {}
};

export default Object.assign({
		$base: {
			root: root,
		},
	},
	api
)
