package com.yzt.airconditionersystem.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 
 * @TableName gateway
 */
@TableName(value ="gateway")
@Data
public class Gateway implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 公司id
     */
    @TableField(value = "company_id")
    private String companyId;

    /**
     * 点位名称
     */
    private String location;

    /**
     * 所属公司信息
     */
    @TableField(exist = false)
    private Company company;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}