package com.yzt.airconditionersystem.mapper;
import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import com.yzt.airconditionersystem.bean.Company;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
* @author TzZach
* @description 针对表【company】的数据库操作Mapper
* @createDate 2022-05-07 11:50:06
* @Entity com.yzt.airconditionersystem.bean.Company
*/
public interface CompanyMapper extends BaseMapper<Company> {

    List<Company> listByNameAndDistrictAndOperatorName(@Param("name") String name, @Param("district") String district, @Param("operatorName") String operatorName, @Param("type") Integer type);

    List<Company> listByNameAndDistrictAndContact(@Param("name") String name, @Param("district") String district, @Param("contact") String contact, @Param("type") Integer type);

    Page<Company> selectAll(Page<Company> page);

}




