package com.yzt.airconditionersystem.mapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.yzt.airconditionersystem.bean.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
* @author TzZach
* @description 针对表【user】的数据库操作Mapper
* @createDate 2022-05-07 15:44:23
* @Entity com.yzt.airconditionersystem.bean.User
*/
public interface UserMapper extends BaseMapper<User> {

    /**
     * 根据用户名和密码查找
     * @param username
     * @param password
     * @return
     */
    User selectOneByUsernameAndPassword(@Param("username") String username, @Param("password") String password);

    /**
     * 根据用户名查找
     * @param username
     * @return
     */
    User selectOneByUsername(@Param("username") String username);

}




