package com.yzt.airconditionersystem.service;

import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.messaging.Message;

/**
 * @author TzZach
 * @since 2022-05-10 22:52
 */
public interface MqttService {

    /**
     * 将消息发送到对应的topic
     * @param topic
     * @param message
     */
    void receiveFrom(String topic, Message message) throws IllegalAccessException;

}
