package com.yzt.airconditionersystem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yzt.airconditionersystem.bean.FacilityAlarm;
import com.yzt.airconditionersystem.service.FacilityAlarmService;
import com.yzt.airconditionersystem.mapper.FacilityAlarmMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author TzZach
* @description 针对表【facility_alarm】的数据库操作Service实现
* @createDate 2022-05-04 17:27:28
*/
@Service
public class FacilityAlarmServiceImpl extends ServiceImpl<FacilityAlarmMapper, FacilityAlarm>
    implements FacilityAlarmService{

    @Override
    public List<FacilityAlarm> selectByGatewayIdAndCompanyId(List<String> companyIds) {
        return baseMapper.selectByGatewayIdAndCompanyId(companyIds);
    }

}




