package com.yzt.airconditionersystem.util;

/**
 * @author TzZach
 * @since 2022-05-12 22:28
 */
public class AirconditionerStatus {

    public static final char ALARM = '1';
    public static final String STATUS_LASTING = "持续中";
    public static final String STATUS_HANDLED = "已处理";
    /**
     * 机组故障
     */
    public static final int UNIT_FAILURE = 6;
    public static final String UNIT_FAILURE_ALARM_CONTENT = "机组故障";
    /**
     * 缺风压差
     */
    public static final int LACK_OF_LEEWAY = 9;
    public static final String LACK_OF_LEEWAY_ALARM_CONTENT = "缺风压差";
    /**
     * 高温报警
     */
    public static final int HIGH_TEMPERATURE_ALARM = 10;
    public static final String HIGH_TEMPERATURE_ALARM_ALARM_CONTENT = "高温报警";

    /**
     * 风冷主机故障
     */
    public static final int AIR_COOLED_MAINFRAME = 11;
    public static final String AIR_COOLED_MAINFRAME_ALARM_CONTENT = "风冷主机故障";

    /**
     * 排风机故障
     */
    public static final int EXHAUST_FAN = 12;
    public static final String EXHAUST_FAN_ALARM_CONTENT = "排风机故障";

    /**
     * 送风机故障
     */
    public static final int BLOWER = 13;
    public static final String BLOWER_ALARM_CONTENT = "送风机故障";

    /**
     * 送风机中效故障
     */
    public static final int  W_CELL = 14;
    public static final String  W_CELL_ALARM_CONTENT = "送风机中效故障";

    /**
     * 送风机初效故障
     */
    public static final int PREFILTER = 15;
    public static final String PREFILTER_ALARM_CONTENT = "送风机初效故障";
    
}
