package com.kuyuntech.vrv.coreapi.bean.core;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import lombok.ToString;
import java.io.Serializable;

import java.lang.Long;
import java.lang.Short;
import java.util.Date;
import java.lang.String;

/**
* ProjectBean
*
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class ProjectBean  implements Serializable {


    private String name ;

    private String description ;

    private String province ;

    private String city ;

    private String address ;

    private String customer ;

    private String customerTel ;

    private String operatorNumber ;

    private String operatorCode ;

    private String number ;

    private Long id ;

    private Long version ;

    private String code ;

    private Short valid ;

    private Date createTime ;

    private Date updateTime ;



}
