package com.kuyuntech.vrv.corerestful;

import com.wbspool.fastboot.core.web.annotation.EnableFastbootParameterValidate;
import com.wbspool.fastboot.core.web.annotation.EnableFastbootUrlMapping;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.wbspool.fastboot.core.jpa.annotation.EnableFastbootJpaAutoConfiguration;
import org.springframework.boot.context.ApplicationPidFileWriter;
import com.kuyuntech.vrv.coreservice.annotation.core.EnableVrvCoreService;




@SpringBootApplication
@EnableFastbootUrlMapping
@EnableFastbootParameterValidate
@EnableFastbootJpaAutoConfiguration
@EnableVrvCoreService
public class VrvCoreRestfulApplication {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(VrvCoreRestfulApplication.class);
        app.addListeners(new ApplicationPidFileWriter());
        app.run(args);
    }

}
