package com.kuyuntech.vrv.coreservice.domain.core;

import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_gateway")
public class Gateway extends FastbootEntity {

    @Column(columnDefinition = "varchar(255) COMMENT '编号'")
    private String number;

    @Column(columnDefinition = "varchar(255) COMMENT 'IP地址'")
    private String ip;

    @Column(columnDefinition = "varchar(255) COMMENT '定位'")
    private String location;

    @Column(columnDefinition = "varchar(255) COMMENT '网关启用状态'")
    private String useStatus;

    @Column(columnDefinition = "varchar(255) COMMENT '运营商编号'")
    private String operatorNumber;

    @Column(columnDefinition = "varchar(255) COMMENT '关联运营商'")
    private String operatorCode;

    @Column(columnDefinition = "varchar(255) COMMENT '项目编号'")
    private String projectNumber;

    @Column(columnDefinition = "varchar(255) COMMENT '关联项目'")
    private String projectCode;
}
