package com.kuyuntech.vrv.coreservice.domain.core;

import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_power")
public class Power extends FastbootEntity {
    @Column(columnDefinition = "varchar(255) COMMENT '权限名称'")
    private String name;

    @Column(columnDefinition = "varchar(255) COMMENT '权限标识'")
    private String flag;

    @Column(columnDefinition = "varchar(255) COMMENT '权限描述'")
    private String description;

    @Column(columnDefinition = "varchar(255) COMMENT '权限类型'")
    private String type;
}
