package com.kuyuntech.vrv.coreservice.domain.core;

import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_project")
public class Project extends FastbootEntity {

    @Column(columnDefinition = "varchar(255) COMMENT '项目名称'")
    private String name;

    @Column(columnDefinition = "varchar(255) COMMENT '项目描述'")
    private String description;

    @Column(columnDefinition = "varchar(255) COMMENT '省份'")
    private String province;

    @Column(columnDefinition = "varchar(255) COMMENT '城市'")
    private String city;

    @Column(columnDefinition = "varchar(255) COMMENT '详细地址'")
    private String address;

    @Column(columnDefinition = "varchar(255) COMMENT '客户名称'")
    private String customer;

    @Column(columnDefinition = "varchar(255) COMMENT '客户电话'")
    private String customerTel;

    @Column(columnDefinition = "varchar(255) COMMENT '运营商编号'")
    private String operatorNumber;

    @Column(columnDefinition = "varchar(255) COMMENT '关联运营商'")
    private String operatorCode;

    @Column(columnDefinition = "varchar(255) COMMENT '项目编号'")
    private String number;
}
