package com.kuyuntech.vrv.coreservice.domain.core;


import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_role")
public class Role extends FastbootEntity {
    @Column(columnDefinition = "varchar(255) COMMENT '角色名称'")
    private String name;

    @Column(columnDefinition = "varchar(255) COMMENT '角色标识'")
    private String flag;

    @Column(columnDefinition = "varchar(255) COMMENT '角色描述'")
    private String description;
}
