package com.kuyuntech.vrv.coreservice.domain.core;


import com.wbspool.fastboot.core.jpa.entiy.FastbootEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "vrv_user")
public class User extends FastbootEntity {
    @Column(columnDefinition = "varchar(255) COMMENT '姓名'")
    private String realname;

    @Column(columnDefinition = "varchar(255) COMMENT '账号'")
    private String account;

    @Column(columnDefinition = "varchar(255) COMMENT '手机号'")
    private String phone;

    @Column(columnDefinition = "varchar(255) COMMENT '密码'")
    private String password;

    @Column(columnDefinition = "varchar(255) COMMENT '关联角色'")
    private String roleCode;

    @Column(columnDefinition = "varchar(255) COMMENT '角色标识'")
    private String roleFlag;

    @Column(columnDefinition = "varchar(255) COMMENT '关联运营商'")
    private String operatorCode;

    @Column(columnDefinition = "varchar(255) COMMENT '关联运营商编号'")
    private String operatorNumber;
}
